PYSIDE6-QMLFORMAT(1)

NAME
pyside6-qmlformat - qmlformat

SYNOPSIS
qmlformat [options] filenames

DESCRIPTION
Formats QML files according to the QML Coding Conventions. Options below the "Formatting options" section can also be set via .qmlformat.ini unless --ignore-settings is used

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help, including generic Qt options.

-v, --version
    Displays version information.

-V, --verbose
    Verbose mode. Outputs more detailed information.

--write-defaults
    Writes defaults settings to .qmlformat.ini and exits (Warning: This will overwrite any existing settings and comments!)

--ignore-settings
    Ignores all settings files and only takes command line options into consideration

-F, --files <file>
    Format all files listed in file, in-place

--dry-run
    Prints the settings file that would be used for this instance.This is useful to see what settings would be used without actually performing anything.

-s, --settings <file>
    Use the specified .qmlformat.ini file as the only configuration source.Overrides any per-directory configuration lookup.

-i, --inplace
    Edit file in-place instead of outputting to stdout.

-f, --force
    Continue even if an error has occurred. ?????????????????????????????????????????????????????? Formatting options ??????????????????????????????????????????????????????

-t, --tabs
    Use tabs instead of spaces.

-w, --indent-width <width>
    How many spaces are used when indenting.

-W, --column-width <width>
    Breaks the line into multiple lines if exceedes the specified width. Use -1 to disable line wrapping. (default)

-n, --normalize
    Reorders the attributes of the objects according to the QML Coding Guidelines.

-l, --newline <newline>
    Override the new line format to use (native macos unix windows).

--objects-spacing
    Ensure spaces between objects (only works with normalize option).

--functions-spacing
    Ensure spaces between functions (only works with normalize option).

-S, --sort-imports
    Sort imports alphabetically (Warning: this might change semantics if a given name identifies types in multiple modules!).

--semicolon-rule <rule>
    Specify the semicolon rule to use (always, essential). always: always adds semicolon [default]. essential: adds only when ASI wouldn't be relied on.

  Arguments:

filenames
    files to be processed by qmlformat